Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Key APIs

Canceling a Domain Refresh

search

Please Note:

Canceling a Domain Refresh

Use the post /v1/cckm/dsm/refresh/{id}/cancel API to cancel a domain refresh process.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/refresh/{id}/cancel' -X POST -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the refresh process. Refer to Refreshing DSM Domains to find out the ID of the refresh process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/refresh/8155fe39-570a-4132-92ca-e40b7640c7dc/cancel' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "id": "b0301a8a-521c-43d3-8e37-3074d41242e0",
    "uri": "kylo:kylo:cckm:synchronize:b0301a8a-521c-43d3-8e37-3074d41242e0",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-03-03T06:13:21.50388Z",
    "updatedAt": "2021-03-03T06:13:21.555651Z",
    "overall_status": "in_progress",
    "detailed_status": {
        "89c49e63-b5c9-46be-9371-0d8b0649e289": "in_progress"
    },
    "cloud": "dsm",
    "domains": [
        "89c49e63-b5c9-46be-9371-0d8b0649e289"
    ],
    "abort": true
}

The output shows the "overall_status" of the key refresh process with ID b0301a8a-521c-43d3-8e37-3074d41242e0 is "in_progress". The output also shows the ID of the related domain.

Depending on the number of domains and their keys, the canceling a refresh process might take significant amount of time. To view the updated status of the process, run the get /v1/cckm/dsm/refresh API. Refer to Getting Refresh Status of DSM Domains for details.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.